Get Virtual Accounts

GET
/api/v1/customers/{customerId}/virtual-accounts

List virtual accounts for a customer

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Path Parameters

customerId*string

Customer UUID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

status?string
Value in"activated""deactivated""pending""closed"
limit?integer
Range1 <= value <= 100
Default10
starting_after?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
ending_before?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

Default Response

application/json
  1. response
count*integer
Range0 <= value <= 9007199254740991
data*array<>
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/virtual-accounts'
Example Response200
{  "count": 0,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "activated",      "deactivation_reason": "NONPAYMENT",      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",      "created_at": "2019-08-24T14:15:22Z",      "source_deposit_instructions": {        "currency": "string",        "payment_rails": [          "ach_push"        ],        "bank_name": "string",        "bank_address": "string",        "bank_beneficiary_name": "string",        "bank_beneficiary_address": "string",        "bank_account_number": "string",        "bank_routing_number": "string",        "iban": "string",        "bic": "string",        "pix_key": "string",        "clabe": "string",        "account_holder_name": "string",        "pay_id": "string",        "pay_id_name": "string"      },      "deposit_handling_mode": "auto_payout",      "workflow_type": "fiat_to_crypto",      "destination": {        "currency": "usdc",        "payment_rail": "arbitrum",        "address": "string",        "memo": "string"      },      "fiat_destination": {        "type": "bank",        "recipient_type": "individual",        "date_of_birth": "string",        "phone": "string",        "account_holder_name": "string",        "account_number": "string",        "iban": "string",        "pay_id": "string",        "pay_id_type": "email",        "bank_name": "string",        "bank_country": null,        "currency": null,        "account_type": "savings",        "branch_name": "string",        "address": {          "street": "string",          "city": "string",          "state": "string",          "postal_code": "string",          "country": "string"        },        "swift_code": "string",        "bic_code": "string",        "ifsc_code": "string",        "aba_code": "string",        "sort_code": "string",        "branch_code": "string",        "bsb_code": "string",        "bank_code": "string",        "cnaps": "string",        "name_in_local_language": "string",        "national_identification_number": "string",        "logistics_tracking_details": [          {            "tracking_number": "string",            "logistics_provider": {              "name": "string",              "code": "string"            }          }        ],        "documents": [          {            "type": "invoice",            "base64_url": "string"          }        ]      },      "held_balance": {        "amount": "string",        "currency": "string"      },      "deposit_stats": {        "total_deposit_count": 0,        "total_deposit_amount": "string",        "last_deposit_at": "2019-08-24T14:15:22Z"      },      "metadata": {        "property1": null,        "property2": null      }    }  ]}
GET
/api/v1/virtual-accounts

List all virtual accounts

Authorization

headerX-Api-Key<token>

API key in format: sti_env_prefix_secret

Query Parameters

status?string
Value in"activated""deactivated""pending""closed"
limit?integer
Range1 <= value <= 100
Default10
starting_after?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
ending_before?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

Default Response

application/json
  1. response
count*integer
Range0 <= value <= 9007199254740991
data*array<>
Example Request
curl -X GET 'https://api.sandbox.stables.money/api/v1/virtual-accounts'
Example Response200
{  "count": 0,  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "status": "activated",      "deactivation_reason": "NONPAYMENT",      "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",      "created_at": "2019-08-24T14:15:22Z",      "source_deposit_instructions": {        "currency": "string",        "payment_rails": [          "ach_push"        ],        "bank_name": "string",        "bank_address": "string",        "bank_beneficiary_name": "string",        "bank_beneficiary_address": "string",        "bank_account_number": "string",        "bank_routing_number": "string",        "iban": "string",        "bic": "string",        "pix_key": "string",        "clabe": "string",        "account_holder_name": "string",        "pay_id": "string",        "pay_id_name": "string"      },      "deposit_handling_mode": "auto_payout",      "workflow_type": "fiat_to_crypto",      "destination": {        "currency": "usdc",        "payment_rail": "arbitrum",        "address": "string",        "memo": "string"      },      "fiat_destination": {        "type": "bank",        "recipient_type": "individual",        "date_of_birth": "string",        "phone": "string",        "account_holder_name": "string",        "account_number": "string",        "iban": "string",        "pay_id": "string",        "pay_id_type": "email",        "bank_name": "string",        "bank_country": null,        "currency": null,        "account_type": "savings",        "branch_name": "string",        "address": {          "street": "string",          "city": "string",          "state": "string",          "postal_code": "string",          "country": "string"        },        "swift_code": "string",        "bic_code": "string",        "ifsc_code": "string",        "aba_code": "string",        "sort_code": "string",        "branch_code": "string",        "bsb_code": "string",        "bank_code": "string",        "cnaps": "string",        "name_in_local_language": "string",        "national_identification_number": "string",        "logistics_tracking_details": [          {            "tracking_number": "string",            "logistics_provider": {              "name": "string",              "code": "string"            }          }        ],        "documents": [          {            "type": "invoice",            "base64_url": "string"          }        ]      },      "held_balance": {        "amount": "string",        "currency": "string"      },      "deposit_stats": {        "total_deposit_count": 0,        "total_deposit_amount": "string",        "last_deposit_at": "2019-08-24T14:15:22Z"      },      "metadata": {        "property1": null,        "property2": null      }    }  ]}